{% load basket_tags %}
{% load thumbnail %}
{% load staticfiles %}

{% if request.basket.num_lines %}
    {% for line in request.basket.all_lines %}
        <div class="product-row">
            <div class="product clearfix {% if line.has_range_discount or line.has_discount %}sales{% endif %}" data-id={{ line.product.id }} data-price-per-item="{{ line.unit_price_excl_tax|floatformat:"0" }}">
                <div class="img-block">
                    {% with image=line.product.primary_image %}
                        {% thumbnail image.original "100x100" upscale=False as thumb %}
                        <a href="{{ line.product.get_absolute_url }}"><img class="thumbnail" src="{{ thumb.url }}" alt="{{ line.product.get_title }}"></a>
                        {% endthumbnail %}
                    {% endwith %}
                    <form class="basket-change-form delete-form" method="POST" action="{% url 'basket_extension:line_delete' line.pk %}?render_quick_basket=True">
                        {% csrf_token %}
                        <button type="submit" class="del">УДАЛИТЬ</button>
                    </form>
                </div>
                <div class="desc">
                    <div class="name">
                        <a href="{{ line.product.get_absolute_url }}" title="{{ line.product.get_title }}">
                            {{ line.product.get_title }}
                        </a>
                        {% if line.options_summary|length %}
                        <div class="desc">Доп. опции: {{ line.options_summary }}</div>
                        {% endif %}
                    </div>
                    <div class="price price__new">
                        <span class="value">
                        {% if line.has_range_discount or line.has_discount %}
                            {% if line.is_tax_know %}
                                {{ line.line_price_incl_tax_incl_discounts|floatformat:0 }}
                            {% else %}
                                {{ line.line_price_excl_tax_incl_discounts|floatformat:0 }}
                            {% endif %}
                        {% else %}
                            {% if line.is_tax_know %}
                                {{ line.line_price_incl_tax|floatformat:0 }}
                            {% else %}
                                {{ line.line_price_excl_tax|floatformat:0 }}
                            {% endif %}
                        {% endif %}
                        </span>
                        <div class="rub-icon">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                            </svg>
                        </div>
                    </div>
                    <div class="price price__old">
                        {% if line.is_tax_know %}
                            {{ line.line_price_incl_tax|floatformat:0 }}
                        {% else %}
                            {{ line.line_price_excl_tax|floatformat:0 }}
                        {% endif %}
                    </div>
                    <form class="input-group minus basket-change-form update-form" method="POST" action="{% url 'basket_extension:line_update' line.pk %}?render_quick_basket=True">
                        {% csrf_token %}
                        <span class="input-group-btn minus">
                            <button class="btn btn-number" type="button" data-type="minus"
                                    data-target="#quickBasketProduct{{ forloop.counter }}">
                                <i class="fa fa-angle-down"></i>
                            </button>
                        </span>
                        <input id="quickBasketProduct{{ forloop.counter }}"
                               class="form-control input-number number"
                               name="quantity" type="number"
                               value="{{ line.quantity }}"
                               min="1" max="100">
                        <span class="input-group-btn plus">
                                <button class="btn btn-number" type="button" data-type="plus"
                                        data-target="#quickBasketProduct{{ forloop.counter }}">
                                    <i class="fa fa-angle-up"></i>
                                </button>
                        </span>
                    </form>
                </div>
                {% if line.has_present %}
                <div class="product-quick-content__present">
                    {% with image=line.product.present.primary_image %}
                        {% thumbnail image.original "50" upscale=False as thumb %}
                        <a href="{{ line.product.present.get_absolute_url }}"><img class="thumbnail" src="{{ thumb.url }}" alt="{{ line.product.present.get_title }}"></a>
                        {% endthumbnail %}
                    {% endwith %}
                    <div class="product-quick-content__present__body">
                      <div class="present-badge">
                        + Подарок
                      </div>
                      <div class="name">
                          <a href="{{ line.product.present.get_absolute_url }}" title="{{ line.product.present.get_title }}">
                            {% if line.quantity > 1 %}
                              {{ line.quantity }} x
                            {% endif %}
                            {{ line.product.present.get_title }}
                          </a>
                      </div>
                    </div>
                </div>
                {% endif %}
            </div>
            <div class="line"></div>
        </div>
    {% endfor %}
{% endif %}
<span class="old-all-price {% if basket.has_gift_card %}active{% endif %}">
    {% if basket.is_tax_known %}
        {{ basket.total_incl_tax_excl_gift_card|floatformat:"0" }}
    {% else %}
        {{ basket.total_excl_tax_excl_gift_card|floatformat:"0" }}
    {% endif %}
</span>
<div class="all-price">
    ИТОГО:    <span class="price">
        {% if request.basket.is_tax_known %}
            {{ request.basket.total_incl_tax|floatformat:"0" }}
        {% else %}
            {{ request.basket.total_excl_tax|floatformat:"0" }}
        {% endif %}
    </span>
    <span class="rub-icon">
        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
            <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6 h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
        </svg>
    </span>
</div>
